@echo off
@rem ==========================================================================
@rem == Licensed Materials - Property of IBM Corporation
@rem == (C) Copyright IBM Corporation 2015
@rem ==========================================================================
@rem Runs %PACK% pack samples.
@rem Run this from an SPE console window.
@rem ==========================================================================
@rem
if not defined InSPEConsole echo This command must be run in an SPE console session
if not defined InSPEConsole goto :EOF

set PACK=hc
set STANDARD=%1

:READ_COMMAND_LINE_PARMS
if "%STANDARD%"=="" goto GET_STANDARD

rem help syntax
if /i "%STANDARD%"=="/?" goto SYNTAX

:GET_STANDARD
if defined STANDARD goto VALIDATE_STANDARD
echo.
echo Enter standard: hipaa
set /p STANDARD=standard: 
if not defined STANDARD goto GET_STANDARD
goto :VALIDATE_STANDARD

:VALIDATE_STANDARD
if /i "%STANDARD%"=="hipaa" (
	set STANDARD=hipaa
    goto :SETUP
)
echo.
echo Invalid standard = "%STANDARD%"
set STANDARD=
goto :GET_STANDARD

:SETUP
echo.
echo Setting up %STANDARD%...   
set SPE_EXAMPLES_DIR=%SPE_INSTALL_DIR%\examples\%PACK%\%STANDARD%
goto :RUNSAMPLES

:RUNSAMPLES
echo.
echo Running samples...
set MESSAGE=There were errors while running the SPE %PACK% %STANDARD% samples.
java com.ibm.spe.sample.SPESample "dbprops=%SPE_INSTALL_DIR%\dbprops.cfg" "batch=%SPE_EXAMPLES_DIR%\batchfile.txt"
if ERRORLEVEL 1 goto ERROR
goto :DONE

:DONE
echo.
set MESSAGE=
set PACK=
set STANDARD=
set SPE_EXAMPLES_DIR=
goto :EOF

:ERROR
echo.
echo.%MESSAGE%
echo.
set MESSAGE=
set PACK=
set STANDARD=
set SPE_EXAMPLES_DIR=
goto :EOF

:SYNTAX
echo Executes SPE %PACK% pack samples for the specified standard
echo.
echo sperunsamples-pack%PACK%.bat hipaa  
echo.
goto :EOF

:EOF
