#!/bin/sh
###############################################################################
# IBM Confidential
# OCO Source Materials
# © Copyright IBM Corporation 2015
# The source code for this program is not published or otherwise divested
# of its trade secrets, irrespective of what has been deposited with
# the U.S. Copyright office.
###############################################################################
error() {
    echo
    echo $1
    echo
    export SPE_EXAMPLES_DIR=
    exit 1
}

syntax() {
    echo "Executes SPE ${PACK} pack samples for the specified standard"
    echo
    echo "sperunsamples-pack${PACK}.sh hipaa"
    echo
}

if [ -z "$InSPEEnv" ]; then
    echo Please initialize the SPE environment before running this command.
    echo You can use spesetup.sh to initialize the environment.
else
    PACK=hc
    STANDARD=$1
    localOS=`uname`

    case ${STANDARD} in
        hipaa | HIPAA )
            STANDARD=hipaa
            ;;
        --h | /? )
            syntax
            exit
            ;;
        * )
            while true
            do
                echo
                echo "Enter standard: hipaa"
                if [ ${localOS} = "Linux" ]
                then
                    read -p "standard: " STANDARD
                else
                    read "STANDARD?standard: "
                fi
                case ${STANDARD} in
                    hipaa | HIPAA )
                        STANDARD=hipaa
                        break
                        ;;
                    * )
                        echo
                        echo "Invalid standard = ${STANDARD}"
                        STANDARD=
                        ;;
                esac
            done
    esac

    echo
    echo Setting up ${STANDARD}...   
    export SPE_EXAMPLES_DIR=${SPE_INSTALL_DIR}/examples/${PACK}/${STANDARD}

    echo
    echo Running samples...
    java com.ibm.spe.sample.SPESample "dbprops=${SPE_INSTALL_DIR}/dbprops.cfg" "batch=${SPE_EXAMPLES_DIR}/batchfile.txt"
    if [ $? -ne 0 ]
    then
        error "There were errors while running the SPE ${PACK} ${STANDARD} samples."
    fi   

    export SPE_EXAMPLES_DIR=
fi
