@echo off
@rem ==========================================================================
@rem == Licensed Materials - Property of IBM Corporation
@rem == (C) Copyright IBM Corporation 2015
@rem ==========================================================================
@rem Loads %PACK% pack example resources exported from a Windows install
@rem Run this from an SPE console window.
@rem ==========================================================================
@rem
if not defined InSPEConsole echo This command must be run in an SPE console session
if not defined InSPEConsole goto :EOF

set PACK=hc

rem help syntax
if /i "%1"=="/?" goto SYNTAX

:IMPORT_HC_RESOURCES
cd %SPE_INSTALL_DIR%
set DBPROPS="dbprops=%SPE_INSTALL_DIR%\dbprops.cfg"
set RESULT=Could not find any %PACK% pack example files

:IMPORT_HC_HIPAA_RESOURCES
set STANDARD=hipaa
echo.
echo Loading %PACK% %STANDARD% pack example resources
echo.

:IMPORT_HC_HIPAA_DEENVELOPE_IMPORT
if not exist "%SPE_INSTALL_DIR%\examples\%PACK%\%STANDARD%\deenvelope\import" goto IMPORT_HC_HIPAA_DOCEXTRACT_IMPORT
set MESSAGE=There was an error while loading %PACK% %STANDARD% deenvelope example import files 
java com.ibm.spe.core.utils.SPEImporter %DBPROPS% quiet -import="%SPE_INSTALL_DIR%\examples\%PACK%\%STANDARD%\deenvelope\import"
if ERRORLEVEL 1 goto ERROR
set RESULT=%PACK% pack example files were loaded successfully

:IMPORT_HC_HIPAA_DOCEXTRACT_IMPORT
if not exist "%SPE_INSTALL_DIR%\examples\%PACK%\%STANDARD%\docextract\import" goto IMPORT_HC_HIPAA_ENVELOPE_IMPORT
set MESSAGE=There was an error while loading %PACK% %STANDARD% docextract example import files 
java com.ibm.spe.core.utils.SPEImporter %DBPROPS% quiet -import="%SPE_INSTALL_DIR%\examples\%PACK%\%STANDARD%\docextract\import"
if ERRORLEVEL 1 goto ERROR
set RESULT=%PACK% pack example files were loaded successfully

:IMPORT_HC_HIPAA_ENVELOPE_IMPORT
if not exist "%SPE_INSTALL_DIR%\examples\%PACK%\%STANDARD%\envelope\import" goto IMPORT_HC_HIPAA_DEENVELOPE_MAPS
set MESSAGE=There was an error while loading %PACK% %STANDARD% envelope example import files
java com.ibm.spe.core.utils.SPEImporter %DBPROPS% quiet -import="%SPE_INSTALL_DIR%\examples\%PACK%\%STANDARD%\envelope\import"
if ERRORLEVEL 1 goto ERROR
set RESULT=%PACK% pack example files were loaded successfully

:IMPORT_HC_HIPAA_DEENVELOPE_MAPS
if not exist "%SPE_INSTALL_DIR%\examples\%PACK%\%STANDARD%\deenvelope\maps" goto IMPORT_HC_HIPAA_DOCEXTRACT_MAPS
set MESSAGE=There was an error while loading %PACK% %STANDARD% deenvelope example maps 
java com.ibm.spe.core.utils.SPEImporter %DBPROPS% quiet -import="%SPE_INSTALL_DIR%\examples\%PACK%\%STANDARD%\deenvelope\maps"
if ERRORLEVEL 1 goto ERROR
set RESULT=%PACK% pack example files were loaded successfully

:IMPORT_HC_HIPAA_DOCEXTRACT_MAPS
if not exist "%SPE_INSTALL_DIR%\examples\%PACK%\%STANDARD%\docextract\maps" goto IMPORT_HC_HIPAA_ENVELOPE_MAPS
set MESSAGE=There was an error while loading %PACK% %STANDARD% docextract example maps 
java com.ibm.spe.core.utils.SPEImporter %DBPROPS% quiet -import="%SPE_INSTALL_DIR%\examples\%PACK%\%STANDARD%\docextract\maps"
if ERRORLEVEL 1 goto ERROR
set RESULT=%PACK% pack example files were loaded successfully

:IMPORT_HC_HIPAA_ENVELOPE_MAPS
if not exist "%SPE_INSTALL_DIR%\examples\%PACK%\%STANDARD%\envelope\maps" goto DONE
set MESSAGE=There was an error while loading %PACK% %STANDARD% envelope example maps 
java com.ibm.spe.core.utils.SPEImporter %DBPROPS% quiet -import="%SPE_INSTALL_DIR%\examples\%PACK%\%STANDARD%\envelope\maps"
if ERRORLEVEL 1 goto ERROR
set RESULT=%PACK% pack example files were loaded successfully

goto DONE

:DONE
echo.
echo %RESULT%
echo.
set DBPROPS=
set MESSAGE=
set PACK=
set RESULT=
set STANDARD=
goto :EOF

:ERROR
echo.
echo.%MESSAGE%
echo.
set DBPROPS=
set MESSAGE=
set PACK=
set RESULT=
set STANDARD=
cd %SPE_INSTALL_DIR%
goto :EOF

:SYNTAX
echo Loads %PACK% pack example resources exported from a Windows install
echo.
echo spesetupsamples-pack%PACK%.bat
echo.
goto :EOF

:EOF
