//**    Copyright IBM Corporation 2006, 2015. All Rights Reserved.
//**
//** This software is the property of IBM Corporation and its
//** licensors and contains their confidential trade secrets.  Use, examination,
//** copying, transfer and disclosure to others, in whole or in part, are
//** prohibited except with the express prior written consent of
//** IBM Corporation.
//**
//** Sample program.
//** Demonstrates: How to use Type 7 JAVA exit with Standards Processing Engine.
//** 
//** Class : Log - Logging using coded log methods.
//**
//** Provides the configuration properties for SPETestJExit. 
//**


package com.ibm.dtx.SPET7jexit;

import java.io.BufferedWriter;
import java.io.File;
import java.io.FileWriter;
import java.io.IOException;
import java.sql.Timestamp;
import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.Calendar;

public class Log {
	
	public static void logActions(String dataIn) {

		try {
			String data = dataIn;

			DateFormat dateFormat = new SimpleDateFormat("yyyyMMdd");/* _HHmmss */
			Calendar cal = Calendar.getInstance();
			File file = new File("SPETestJExit_logging_"
					+ dateFormat.format(cal.getTime()) + ".txt");

			// if file doesnt exists, then create it
			if (!file.exists()) {
				file.createNewFile();
			}

			// true = append file
			FileWriter fw = new FileWriter(file.getName(), true);
			BufferedWriter bw = new BufferedWriter(fw);
			bw.write(data);
			bw.newLine();
			bw.close();

		} catch (IOException e) {
			e.printStackTrace();
		}
	}
	
	public static void createHeader(String header){
		logActions("");
		logActions("********************************************************************************");
		logActions("***********************" + header + "********************");
		printTime();
		logActions("********************************************************************************");
		logActions("");
	}
	
	public static void printTime(){
		
		logActions("***********************   Time - " + 
				new Timestamp(System.currentTimeMillis()) + "    ********************");
	}
	
	public static void deleteLog() {

		DateFormat dateFormat = new SimpleDateFormat("yyyyMMdd");/* _HHmmss */
		Calendar cal = Calendar.getInstance();
		String fileName = "SPETestJExit_logging_" + dateFormat.format(cal.getTime()) + ".txt";
		File f = new File(fileName);
		
	    // Attempt to delete it
	    f.delete();
	  }

}
