//**    Copyright IBM Corporation 2006, 2015. All Rights Reserved.
//**
//** This software is the property of IBM Corporation and its
//** licensors and contains their confidential trade secrets.  Use, examination,
//** copying, transfer and disclosure to others, in whole or in part, are
//** prohibited except with the express prior written consent of
//** IBM Corporation.
//**
//** Sample program.
//** Demonstrates: How to use Type 7 JAVA exit with Standards Processing Engine.
//** 
//** Class : Log2 - Logging using jLog utilities.
//**
//** Provides the configuration properties for SPETestJExit. 
//**


package com.ibm.dtx.SPET7jexit;

import java.io.IOException;
import java.util.logging.FileHandler;
import java.util.logging.Handler;
import java.util.logging.Logger;

public class Log2 {

	final static Logger jLog =  Logger.getLogger(Log.class.getPackage().getName());
	private static final int LOG_BYTES = 4 * 1024 * 1023;  // 4MB
	private static final int LOG_GENERATIONS = 5;

	public void createJLog() {
		/* if possible, log to a file with a new log generation name */
		try {
			Handler fHandler = new FileHandler("SPETestJExit.%u.%g.log", LOG_BYTES, LOG_GENERATIONS);
			fHandler.setFormatter(new java.util.logging.SimpleFormatter());
			jLog.addHandler(fHandler);
			jLog.setUseParentHandlers(false);
		}
		catch (IOException e) {
			e.printStackTrace();
		}

	}

	public void logActions(String dataIn) {

			jLog.info(dataIn);
	}

}
