//**    Copyright IBM Corporation 2006, 2015. All Rights Reserved.
//**
//** This software is the property of IBM Corporation and its
//** licensors and contains their confidential trade secrets.  Use, examination,
//** copying, transfer and disclosure to others, in whole or in part, are
//** prohibited except with the express prior written consent of
//** IBM Corporation.
//**
//** Sample program.
//** Demonstrates: How to use Type 7 JAVA exit with Standards Processing Engine.
//** 
//** Class : T7ErrReturn
//**
//** Provides the configuration properties for SPETestJExit. 
//**

package com.ibm.dtx.SPET7jexit;

public class T7ErrReturn{
	private String usererr_start = new String("<USER_ERROR xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\" xsi:noNamespaceSchemaLocation=\"{location}\">");

	private String segerr_start = new String("<SEGMENT_ERROR>");
    private String segname = new String("<SEGMENT_NAME>&seg</SEGMENT_NAME>");
    private String segpos = new String("<SEGMENT_POSITION>&pos</SEGMENT_POSITION>");
	private String segloop = new String("<SEGMENT_LOOPID>&loop</SEGMENT_LOOPID>");
	private String segerrcode = new String("<SEGMENT_ERROR_CODE>&segerr</SEGMENT_ERROR_CODE>");
	private String errmsg = new String("<ERROR_MESSAGE>&msg</ERROR_MESSAGE>");


	private String eleerr_start = new String("<ELEMENT_ERROR>");
	private String elepos = new String("<ELEMENT_POSITION>&pos</ELEMENT_POSITION>");
	private String subelepos = new String("<SUBELEMENT_POSITION>&pos</SUBELEMENT_POSITION>");
	private String repelepos = new String("<REPEATING_ELEMENT_POSITION>&pos</REPEATING_ELEMENT_POSITION>");
	private String eleerrcode = new String("<ELEMENT_ERROR_CODE>&eleerr</ELEMENT_ERROR_CODE>");
	private String elevalue = new String("<ELEMENT_ERROR_CONTENT>&value</ELEMENT_ERROR_CONTENT>");

	private String trig_start = new String("<SITUATIONAL_TRIGGER>");
	private String trig_seg = new String("<TRIGGER_SEGMENT_NAME>&seg</TRIGGER_SEGMENT_NAME>");
	private String trig_segpos = new String("<TRIGGER_SEGMENT_POSITION>&pos</TRIGGER_SEGMENT_POSITION>");
	private String trig_loop = new String("<TRIGGER_ERROR_LOOPID>&loop</TRIGGER_ERROR_LOOPID>");
	private String trig_elepos = new String("<TRIGGER_ELEMENT_POSITION>&pos</TRIGGER_ELEMENT_POSITION>");
	private String trig_subelepos = new String("<TRIGGER_SUBELEMENT_POSITION>&pos</TRIGGER_SUBELEMENT_POSITION>");
	private String trig_repelepos = new String("<TRIGGER_REPEATING_ELEMENT_POSITION>&pos</TRIGGER_REPEATING_ELEMENT_POSITION>");
	private String trig_end = new String("</SITUATIONAL_TRIGGER>");

	private String eleerr_end = new String("</ELEMENT_ERROR>");
    private String segerr_end = new String("</SEGMENT_ERROR>");
    private String usererr_end = new String("</USER_ERROR>");


	public String getUserErrStart() {
		return usererr_start;
	}
	public String getUserErrEnd() {
		return usererr_end;
	}
	public String getSegErrStart() {
		return segerr_start;
	}
	public String getSegName(String value) {
		return segname.replaceAll("&seg", value);
	}
	public String getSegPos(int ivalue) {
		String value = Integer.toString(ivalue);
		return segpos.replaceAll("&pos", value);
	}
	public String getSegLoopId(String value) {
		return segloop.replaceAll("&loop", value);
	}
	public String getSegErrCode(int ivalue) {
		String value = Integer.toString(ivalue);
		return segerrcode.replaceAll("&segerr", value);
	}
	public String getErrMsg(String value) {
		return errmsg.replaceAll("&msg", value);
	}
	public String getSegErrEnd() {
		return segerr_end;
	}
	public String getEleErrStart() {
		return eleerr_start;
	}
	public String getElePos(int ivalue) {
		String value = Integer.toString(ivalue);
		return elepos.replaceAll("&pos", value);
	}
	public String getSubElePos(int ivalue) {
		String value = Integer.toString(ivalue);
		return subelepos.replaceAll("&pos", value);
	}
	public String getRepElePos(int ivalue) {
		String value = Integer.toString(ivalue);
		return repelepos.replaceAll("&pos", value);
	}
	public String getEleErrCode(int ivalue) {
		String value = Integer.toString(ivalue);
		return eleerrcode.replaceAll("&eleerr", value);
	}
	public String getEleValue(String value) {
		return elevalue.replaceAll("&value", value);
	}
	public String getEleErrEnd() {
		return eleerr_end;
	}
	public String getTrigStart() {
		return trig_start;
	}
	public String getTrigSegName(String value) {
		return trig_seg.replaceAll("&seg", value);
	}
	public String getTrigSegPos(int ivalue) {
		String value = Integer.toString(ivalue);
		return trig_segpos.replaceAll("&pos", value);
	}
	public String getTrigLoopId(String value) {
		return trig_loop.replaceAll("&loop", value);
	}
	public String getTrigElePos(int ivalue) {
		String value = Integer.toString(ivalue);
		return trig_elepos.replaceAll("&pos", value);
	}
	public String getTrigSubElePos(int ivalue) {
		String value = Integer.toString(ivalue);
		return trig_subelepos.replaceAll("&pos", value);
	}
	public String getTrigRepElePos(int ivalue) {
		String value = Integer.toString(ivalue);
		return trig_repelepos. replaceAll("&pos", value);
	}
	public String getTrigEnd() {
		return trig_end;
	}
} // end class T7ErrReturn