<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  
<xsl:output method="text" omit-xml-declaration="yes" indent="no"/>
<!--
      Licensed Materials - Property of IBM and/or HCL 
      (c) Copyright IBM Corporation 2005, 2017. All Rights Reserved. 
      (c) Copyright HCL Technologies Ltd. 2017. All Rights Reserved. 

       Note to U.S. Government Users Restricted Rights: 
       Use, duplication or disclosure restricted by GSA ADP Schedule 
       Contract with IBM Corp. 
-->
<!-- 
Output format is:
namespace$$root-element$$version$$schemaLocation
-->
	
<xsl:template match="/" xmlns:hl7v2="urn:hl7-org:v2xml" ><xsl:value-of select ="namespace-uri(/*)"/>$$
<xsl:value-of select ="local-name(/*)"/>$$
<xsl:value-of select ="//hl7v2:MSH.3/hl7v2:HD.1"/>$$
<xsl:value-of select ="//hl7v2:MSH.3/hl7v2:HD.2"/>$$
<xsl:value-of select ="//hl7v2:MSH.3/hl7v2:HD.3"/>$$
<xsl:value-of select ="//hl7v2:MSH.4/hl7v2:HD.1"/>$$
<xsl:value-of select ="//hl7v2:MSH.4/hl7v2:HD.2"/>$$
<xsl:value-of select ="//hl7v2:MSH.4/hl7v2:HD.3"/>$$
<xsl:value-of select ="//hl7v2:MSH.5/hl7v2:HD.1"/>$$
<xsl:value-of select ="//hl7v2:MSH.5/hl7v2:HD.2"/>$$
<xsl:value-of select ="//hl7v2:MSH.5/hl7v2:HD.3"/>$$
<xsl:value-of select ="//hl7v2:MSH.6/hl7v2:HD.1"/>$$
<xsl:value-of select ="//hl7v2:MSH.6/hl7v2:HD.2"/>$$
<xsl:value-of select ="//hl7v2:MSH.6/hl7v2:HD.3"/>$$
<xsl:value-of select ="//hl7v2:MSH.8"/>$$
<xsl:value-of select ="//hl7v2:MSH.9/hl7v2:MSG.1"/>$$
<xsl:value-of select ="//hl7v2:MSH.9/hl7v2:MSG.2"/>$$
<xsl:value-of select ="//hl7v2:MSH.9/hl7v2:MSG.3"/>$$
<xsl:value-of select ="//hl7v2:MSH.10"/>$$
<xsl:value-of select ="//hl7v2:MSH.11/hl7v2:PT.1"/>$$
<xsl:value-of select ="//hl7v2:MSH.11/hl7v2:PT.2"/>$$
<xsl:value-of select ="//hl7v2:MSH.12/hl7v2:VID.1"/>$$
<xsl:value-of select ="//hl7v2:MSH.1"/>$$
<xsl:value-of select ="//hl7v2:MSH.2"/>$$
<xsl:value-of select ="//@*[local-name() = 'schemaLocation']"/>
</xsl:template>
 
 <!-- Unused variations - replaced by better expressions
<xsl:template match="/unused" >
version2x=<xsl:value-of select ="//*[local-name() = 'VID.1' and local-name(..) = 'MSH.12']"/>
</xsl:template>
-->

 </xsl:stylesheet>
