REM
REM   LICENSED MATERIALS PROPERTY OF IBM AND HCL. 
REM   (c) Copyright International Business Machines Corp. 2005, 2017. 
REM   (c) Copyright HCL Technologies Ltd. 2017, 2019. All rights reserved. 
REM
REM   US Government Users Restricted Rights: 
REM   Use, duplication, or disclosure restricted by GSA ADP Schedule
REM   Contract with IBM Corp.  
REM

pushd "%~dp0"
set mapsDir=%CD%
rem cd to the TX directory to get the location of mcompile.exe
cd ..\..\..\..\

rem check to make sure mcompile is where we expect it
if exist "%CD%\mcompile.exe" (
    set DTX_HOME=%CD%
) else (	
	goto :MCompileNotFound
)

rem set up the directories for all of the files that need to be moved
cd "%mapsDir%"

set MCOMPILE="%DTX_HOME%\mcompile.exe"

%MCOMPILE% hl7editoxml.mms -A -O *.mmc
pause
%MCOMPILE% hl7main.mms -A -O *.mmc
%MCOMPILE% hl7xmltoedi.mms -A -O *.mmc
%MCOMPILE% sharedmaps.mms -A -O *.mmc
%MCOMPILE% taghl7v25.mms -A -O *.mmc
%MCOMPILE% taghl7v26.mms -A -O *.mmc
%MCOMPILE% taghl7v27.mms -A -O *.mmc
%MCOMPILE% taghl7v251.mms -A -O *.mmc
%MCOMPILE% taghl7v28.mms -A -O *.mmc
%MCOMPILE% taghl7v281.mms -A -O *.mmc
%MCOMPILE% taghl7v282.mms -A -O *.mmc
goto :EOF

:MCompileNotFound
echo %dash%
echo.
echo TX directory not found! 
echo This script must run from the Health Care HL7 pack's default installation subdirectory: hl7\maps.
echo Example: "C:<tx install>\packs\healthcare_v<version>\hl7\maps
echo %dash%

:EOF